APT-CDROM(8)

NOME
apt-cdrom - Utilitário de gestão de CD-ROM do APT

SINOPSE

apt-cdrom [-rmfan] [-d=ponto_de_montagem-do_cdrom] [-o=config_string] [-c=ficheiro_de_configuração] {add | ident | {-v | --version} | {-h | --help}}

DESCRIÇÃO

O apt-cdrom é usado para adicionar um novo CD-ROM à lista de fontes disponíveis do APT. O apt-cdrom encarrega-se de determinar a estrutura do disco assim como corrigir várias falhas possíveis e verificar os ficheiros de índice.

É necessário usar o apt-cdrom para adicionar CDs ao sistema APT, não pode ser feito manualmente. Mais, cada disco de um conjunto de vários discos tem que ser inserido e sondado separadamente para ter em conta possíveis falhas.

A menos que a opção -h, ou --help seja fornecida, um dos comandos abaixo têm que estar presentes.

add
    add é usado para adicionar um novo disco à lista de fontes. Irá desmontar o dispositivo CD-ROM, pedir que seja inserido um disco e depois prosseguir com a sua sondagem e cópia dos ficheiros índice. Se o disco não possuir um directório .disk apropriado, ser-lhe-à pedido um título descritivo.

    O APT usa um ID de CD-ROM para acompanhar qual disco está actualmente na drive e mantêm uma base de dados desses IDs em /var/lib/apt/cdroms.list

ident
    Uma ferramenta de depuração para reportar a identificação do disco actual assim como o nome de ficheiro armazenado

OPÇÕES

Todas as opções de linha de comandos podem ser definidas usando o ficheiro de configuração, as descrições indicam a opção de configuração a definir. Para opções booleanas você pode sobre por o ficheiro de configuração usando algo como -f-,--no-f, -f=no ou várias outras variantes.

--no-auto-detect, --cdrom
    Não tente a auto-detecção do caminho do CD-ROM. Normalmente combinada com a opção --cdrom. Item de Configuração: Acquire::cdrom::AutoDetect.

-d, --cdrom
    Ponto de Montagem; especifica a localização para montar o cdrom. Este ponto de montagem deve estar listado em /etc/fstab e configurado apropriadamente. Item de configuração: Acquire::cdrom::mount.

-r, --rename
    Renomear um disco; muda a etiqueta de um disco ou sobrepõe a etiqueta fornecida do disco. Esta opção irá fazer com que o apt-cdrom pergunte por uma nova etiqueta. Item de configuração: APT::CDROM::Rename.

-m, --no-mount
    Nenhuma montagem; impede o apt-cdrom de montar e desmontar o ponto de montagem. Item de configuração: APT::CDROM::NoMount.

-f, --fast
    Copia rápida; Assume que os ficheiros do pacote são válidos e não verifica cada pacote. Este opção só deve ser usada se o apt-cdrom já foi corrido com este disco e não detetou nenhum erro. Item de configuração: APT::CDROM::Fast.

-a, --thorough
    Sondagem de pacote exaustiva; Esta opção pode ser necessária com alguns discos Debian antigos 1.1/1.2 que têm ficheiros de pacotes em lugares estranhos. Demora muito mais tempo a sondar o CD mas irá apanha-los a todos.

-n, --just-print, --recon, --no-act
    Nenhuma alteração; Não altera o ficheiro sources.list(5) e não escreve ficheiros índice. No entanto, tudo continua a ser verificado. Item de configuração: APT::CDROM::NoAct.

-h, --help
    Mostra um sumário curto da utilização.

-v, --version
    Mostra a versão do programa.

--audit
    -Mostra mensagens audit (e notificações). Isto sobrepõe a opção quiet, mas apenas para mensagens de notificação, não as de progresso.

-c, --config-file
    Ficheiro de Configuração; Especifica o ficheiro de configuração a usar. O programa irá ler o ficheiro de configuração predefinido e depois este ficheiro de configuração. Se as definições de configuração precisarem de ser definidas antes, os ficheiros de configuração predefinidos são analisados especificando um ficheiro com a variável de ambiente APT_CONFIG. Veja apt.conf(5) para informação de sintaxe.

-o, --option
    Define uma Opção de Configuração; Isto irá definir uma opção de configuração arbitrária. A sintaxe é -o Foo::Bar=bar. -o e --option podem ser usadas várias vezes para definir opções diferentes.

--no-color, --color
    Liga e desliga cores. As cores estão ligadas por predefinição nos terminais suportados para apt(8) e também podem ser desactivadas usando as variáveis de ambiente NO_COLOR ou APT_NO_COLOR, ou também configuradas pela opção de configuração e escopo APT::Color, veja apt.conf(5) para informação sobre isso.

VEJA TAMBÉM

apt.conf(5), apt-get(8), sources.list(5)

DIAGNÓSTICO

apt-cdrom devolve zero em operação normal, 100 decimal em erro.

BUGS

página de bugs do APT[1]. Se deseja reportar um bug no APT, por favor veja /usr/share/doc/debian/bug-reporting.txt ou o comando reportbug(1).

TRADUÇÃO

A tradução Portuguesa foi feita por Américo Monteiro <a_monteiro@netcabo.pt> de 2009 a 2012. A tradução foi revista pela equipa de traduções portuguesas da Debian <traduz@debianpt.org>.

Note que este documento traduzido pode conter partes não traduzidas. Isto é feito propositadamente, para evitar perdas de conteúdo quando a tradução está atrasada relativamente ao conteúdo original.

AUTORES

Jason Gunthorpe

Equipa do APT

NOTAS

1.  página de bugs do APT
    https://bugs.debian.org/src:apt